import { UiField } from "./UiField";
import { UiImageFieldCommandHandler, UiImageFieldConfig, UiImageFieldEventSource } from "../../generated/UiImageFieldConfig";
import { UiFieldEditingMode } from "../../generated/UiFieldEditingMode";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiBorderConfig } from "../../generated/UiBorderConfig";
import { UiShadowConfig } from "../../generated/UiShadowConfig";
import { UiImageSizing } from "../../generated/UiImageSizing";
export declare class UiImageField extends UiField<UiImageFieldConfig, string> implements UiImageFieldEventSource, UiImageFieldCommandHandler {
    private _$field;
    protected initialize(config: UiImageFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: string): boolean;
    setSize(width: string, height: string): void;
    setBorder(border: UiBorderConfig): void;
    setShadow(shadow: UiShadowConfig): void;
    setImageSizing(imageSizing: UiImageSizing): void;
    update(config: UiImageFieldConfig): void;
    getDefaultValue(): string;
    getMainInnerDomElement(): HTMLElement;
    protected displayCommittedValue(): void;
    focus(): void;
    getTransientValue(): string;
    protected onEditingModeChanged(editingMode: UiFieldEditingMode): void;
    getReadOnlyHtml(value: string, availableWidth: number): string;
    valuesChanged(v1: string, v2: string): boolean;
}
